<?php
if(!Configure::read('core.site_offline')) {
// Auth
Router::connect('/api/auth/token', array(
    'plugin' => 'Api',
    'controller' => 'auths_ext', // Fixing the conflict routing with social_integrate plugin
    '[method]' => 'POST',
    'action' => 'token',
    'ext' => 'json',
));
// End Auth

//----- Activity Feeds

// -- /activity/home
Router::connect('/api/activity/home', array(
        'plugin' => 'Api',
        'controller' => 'api_activity',
        '[method]' => 'GET',
        'action' => 'home',
        'ext' => 'json',
    )
);

// --- POST /activity/post
Router::connect('/api/activity', array(
    'plugin' => 'Api',
    'controller' => 'api_activity',
    '[method]' => 'POST',
    'action' => 'post',
    'ext' => 'json',
));

// --- POST /file
Router::connect('/api/file', array(
        'plugin' => 'Api',
        'controller' => 'uploads',
        '[method]' => 'POST',
        'action' => 'wall',
        'ext' => 'json',
    )
);

Router::connect('/api/file/album', array(
        'plugin' => 'Api',
        'controller' => 'UploadAlbum',
        '[method]' => 'POST',
        'action' => 'upload_photo',
        'ext' => 'json',
    )
);

// -- /activity/{activity_id}
Router::connect('/api/activity/:activity_id', array(
        'plugin' => 'Api',
        'controller' => 'api_activity',
        '[method]' => 'GET',
        'action' => 'get',
        'ext' => 'json',
),
    array(
        'pass' => array('activity_id'),
        'id' => '[0-9]+'
    )
);
// -- /activity/tag/{tag_id}
Router::connect('/api/activity/tag/:tag_id', array(
        'plugin' => 'Api',
        'controller' => 'api_activity',
        '[method]' => 'GET',
        'action' => 'get_tag_user',
        'ext' => 'json',
),
    array(
        'pass' => array('tag_id'),
        'id' => '[0-9]+'
    )
);
// -- /activity/{id}
Router::connect('/api/activity/:id', array(
        'plugin' => 'Api',
        'controller' => 'api_activity',
        '[method]' => 'DELETE',
        'action' => 'delete',
        'ext' => 'json',
),
    array(
        'pass' => array('id'),
        'id' => '[0-9]+'
    )
);
// -- /activity/{activity_id}/comment
Router::connect('/api/activity/:activity_id/comment', array(
    'plugin' => 'Api',
    'controller' => 'api_activity',
    '[method]' => 'POST',
    'action' => 'comment',
    'ext' => 'json',
),
    array(
        'pass' => array('activity_id'),
        'id' => '[0-9]+'
    )
);
// -- /activity/{activity_id}/comment/edit
Router::connect('/api/activity/comment/edit', array(
    'plugin' => 'Api',
    'controller' => 'api_activity',
    '[method]' => 'POST',
    'action' => 'editComment',
    'ext' => 'json',
),
    array(
        'activity_id' => '[0-9]+',
    )
);
// -- /activity/{activity_id}/comment/{comment_id}
Router::connect('/api/activity/:activity_id/comment/:comment_id', array(
    'plugin' => 'Api',
    'controller' => 'api_activity',
    '[method]' => 'PUT',
    'action' => 'editComment',
    'ext' => 'json',
),
    array(
        'activity_id' => '[0-9]+',
        'comment_id' => '[0-9]+',
    )
);
// -- /activity/{activity_id}/comment/edit
Router::connect('/api/activity/:activity_id/comment/delete', array(
    'plugin' => 'Api',
    'controller' => 'api_activity',
    '[method]' => 'POST',
    'action' => 'deleteComment',
    'ext' => 'json',
),
    array(
        'activity_id' => '[0-9]+',
    )
);
// -- /activity/{activity_id}/comment/edit
Router::connect('/api/activity/:activity_id/comment', array(
    'plugin' => 'Api',
    'controller' => 'api_activity',
    '[method]' => 'DELETE',
    'action' => 'deleteComment',
    'ext' => 'json',
),
    array(
        'activity_id' => '[0-9]+',
    )
);
// -- /activity/delete/{id}
Router::connect('/api/activity/delete/:id', array(
        'plugin' => 'Api',
        'controller' => 'api_activity',
        '[method]' => 'POST',
        'action' => 'delete',
        'ext' => 'json',
),
    array(
        'pass' => array('id'),
        'id' => '[0-9]+'
    )
);
Router::connect('/api/activity/pin_feed/:activity_id/:type', array(
    'plugin' => 'Api',
    'controller' => 'api_activity',
    '[method]' => 'POST',
    'action' => 'pinFeed',
    'ext' => 'json',
),
    array(
        'activity_id' => '[0-9]+',
    )
);
// -- /activity/fetch-link
Router::connect('/api/activity/fetch-link', array(
		'plugin' => 'Api',
		'controller' => 'api_activity',
		'[method]' => 'POST',
		'action' => 'fetchLink',
		'ext' => 'json',
	)
);

// -- /activity/edit/{id}
Router::connect('/api/activity/edit/:id', array(
    'plugin' => 'Api',
    'controller' => 'api_activity',
    '[method]' => 'GET',
    'action' => 'edit',
    'ext' => 'json',
),
    array(
        'pass' => array('id'),
        'id' => '[0-9]+'
    )
);

Router::connect('/api/activity/save_edit', array(
    'plugin' => 'Api',
    'controller' => 'api_activity',
    '[method]' => 'POST',
    'action' => 'save_edit',
    'ext' => 'json',
));

// internal api , not public
// -- /activity/checkExistFeed
Router::connect('/api/activity/checkExistFeed', array(
		'plugin' => 'Api',
		'controller' => 'api_activity',
		'[method]' => 'POST',
		'action' => 'checkExistFeed',
		'ext' => 'json',
	)
);

//------ End Activity Feeds

//---- Friends

// --- /friend/list
Router::connect('/api/friend/list', array(
    'plugin' => 'Api',
    'controller' => 'api_friends',
    '[method]' => 'GET',
    'action' => 'getlist',
    'ext' => 'json',
));

// --- /friend/list
Router::connect('/api/friend/:user_id/list', array(
    'plugin' => 'Api',
    'controller' => 'api_friends',
    '[method]' => 'GET',
    'action' => 'getuserlist',
    'ext' => 'json',
),
    array(
        'pass' => array('user_id'),
        'id' => '[0-9]+'
    )
);
// --- /friend/requests
Router::connect('/api/friend/requests', array(
    'plugin' => 'Api',
    'controller' => 'api_friends',
    '[method]' => 'GET',
    'action' => 'getfriendrequest',
    'ext' => 'json',
));

// --- /friend/add
Router::connect('/api/friend/add', array(
    'plugin' => 'Api',
    'controller' => 'api_friends',
    '[method]' => 'POST',
    'action' => 'add',
    'ext' => 'json',
));

// --- /friend/accept
Router::connect('/api/friend/accept', array(
    'plugin' => 'Api',
    'controller' => 'api_friends',
    '[method]' => 'POST',
    'action' => 'accept',
    'ext' => 'json',
));

// --- /friend/reject
Router::connect('/api/friend/reject', array(
    'plugin' => 'Api',
    'controller' => 'api_friends',
    '[method]' => 'POST',
    'action' => 'reject',
    'ext' => 'json',
));

// --- /friend/cancel
Router::connect('/api/friend/cancel', array(
    'plugin' => 'Api',
    'controller' => 'api_friends',
    '[method]' => 'POST',
    'action' => 'cancel',
    'ext' => 'json',
));

// --- /friend/delete
Router::connect('/api/friend/delete', array(
    'plugin' => 'Api',
    'controller' => 'api_friends',
    '[method]' => 'POST',
    'action' => 'delete',
    'ext' => 'json',
));

//---- END Friends

// --- LIKES

// --- /:objectType/like
Router::connect('/api/:objectType/like', array(
    'plugin' => 'Api',
    'controller' => 'api_likes',
    '[method]' => 'POST',
    'action' => 'add',
    'ext' => 'json',
));

// --- /:objectType/like
Router::connect('/api/:objectType/like', array(
    'plugin' => 'Api',
    'controller' => 'api_likes',
    '[method]' => 'DELETE',
    'action' => 'delete',
    'ext' => 'json',
));

// --- /:objectType/like/delete
Router::connect('/api/:objectType/like/delete', array(
    'plugin' => 'Api',
    'controller' => 'api_likes',
    '[method]' => 'POST',
    'action' => 'delete',
    'ext' => 'json',
));

// --- /:objectType/like/view/:item_id
Router::connect('/api/:objectType/like/:id', array(
    'plugin' => 'Api',
    'controller' => 'api_likes',
    '[method]' => 'GET',
    'action' => 'view',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+',
    )
        );
// --- END LIKES


// --- DISLIKES

// --- /:objectType/dislike
Router::connect('/api/:objectType/dislike', array(
    'plugin' => 'Api',
    'controller' => 'api_dislikes',
    '[method]' => 'POST',
    'action' => 'add',
    'ext' => 'json',
));

// --- /:objectType/dislike
Router::connect('/api/:objectType/dislike', array(
    'plugin' => 'Api',
    'controller' => 'api_dislikes',
    '[method]' => 'DELETE',
    'action' => 'delete',
    'ext' => 'json',
));

// --- /:objectType/dislike/delete
Router::connect('/api/:objectType/dislike/delete', array(
    'plugin' => 'Api',
    'controller' => 'api_dislikes',
    '[method]' => 'POST',
    'action' => 'delete',
    'ext' => 'json',
));

// --- /:objectType/dislike/view/:item_id
Router::connect('/api/:objectType/dislike/:id', array(
    'plugin' => 'Api',
    'controller' => 'api_dislikes',
    '[method]' => 'GET',
    'action' => 'view',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+',
    )
);
// --- END DISLIKES

// --- COMMENTS

// --- /comment/:id
Router::connect('/api/comment/:type/view/:comment_id', array(
    'plugin' => 'Api',
    'controller' => 'api_comments',
    '[method]' => 'GET',
    'action' => 'getCommentById',
    'ext' => 'json',
),
    array(
        'comment_id' => '[0-9]+',
        'type' => '(core_activity_comment|comment)',
    )
);
// --- /:object/comment
Router::connect('/api/:objectType/comment', array(
    'plugin' => 'Api',
    'controller' => 'api_comments',
    '[method]' => 'POST',
    'action' => 'add',
    'ext' => 'json',
)
);
Router::connect('/api/comment/getLastComment', array(
    'plugin' => 'Api',
    'controller' => 'api_comments',
    '[method]' => 'POST',
    'action' => 'getLastComment',
    'ext' => 'json',
)
);

// --- /:object/comment/edit
Router::connect('/api/:objectType/comment/edit', array(
    'plugin' => 'Api',
    'controller' => 'api_comments',
    '[method]' => 'POST',
    'action' => 'edit',
    'ext' => 'json',
));
// --- /:object/comment/edit
Router::connect('/api/:objectType/comment', array(
    'plugin' => 'Api',
    'controller' => 'api_comments',
    '[method]' => 'PUT',
    'action' => 'edit',
    'ext' => 'json',
));
// --- /:object/comment
Router::connect('/api/:objectType/comment', array(
    'plugin' => 'Api',
    'controller' => 'api_comments',
    '[method]' => 'DELETE',
    'action' => 'delete',
    'ext' => 'json',
));
// --- /:object/comment/delete
Router::connect('/api/:objectType/comment/delete', array(
    'plugin' => 'Api',
    'controller' => 'api_comments',
    '[method]' => 'POST',
    'action' => 'delete',
    'ext' => 'json',
));
// --- /:object/comment/:item_id
Router::connect('/api/:objectType/comment/:item_id', array(
    'plugin' => 'Api',
    'controller' => 'api_comments',
    '[method]' => 'GET',
    'action' => 'view',
    'ext' => 'json',
),
    array(
        'item_id' => '[0-9]+',
    )
);
// --- /:object/comment/:item_id/edited/:comment_id
Router::connect('/api/:objectType/comment/:item_id/edited/:comment_id', array(
    'plugin' => 'Api',
    'controller' => 'api_comments',
    '[method]' => 'GET',
    'action' => 'listEdited',
    'ext' => 'json',
),
    array(
        'comment_id' => '[0-9]+',
        'item_id' => '[0-9]+',
    )
);
// --- /comment/checkStatus/:type/:id
Router::connect('/api/comment/checkStatus/:type/:id', array(
    'plugin' => 'Api',
    'controller' => 'api_comments',
    '[method]' => 'GET',
    'action' => 'checkStatus',
    'ext' => 'json',
)
);
// --- /comment/checkStatus/:type/:id
Router::connect('/api/comment/updateStatus', array(
    'plugin' => 'Api',
    'controller' => 'api_comments',
    '[method]' => 'POST',
    'action' => 'updateStatus',
    'ext' => 'json',
)
);
// --- END COMMENTS

// Blog
// --- /blog/:type
Router::connect('/api/blog/:type', array(
    'plugin' => 'Api',
    'controller' => 'api_blogs',
    '[method]' => 'GET',
    'action' => 'browse',
    'ext' => 'json',
),
    array(
        'type' => '(all|my|friends|popular)',
    )
);
// --- /blog/filter/:keyword
Router::connect('/api/blog/filter', array(
    'plugin' => 'Api',
    'controller' => 'api_blogs',
    '[method]' => 'POST',
    'action' => 'browse',
    'ext' => 'json',
));
// --- /blog/:id
Router::connect('/api/blog/:id', array(
    'plugin' => 'Api',
    'controller' => 'api_blogs',
    '[method]' => 'GET',
    'action' => 'view',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+',
    )
);
// --- /blog/create
Router::connect('/api/blog/:type', array(
    'plugin' => 'Api',
    'controller' => 'api_blogs',
    '[method]' => 'POST',
    'action' => 'save',
    'ext' => 'json',
),
    array(
        'type' => '(create|edit)',
    )
);
// --- /blog/edit
Router::connect('/api/blog/:id', array(
    'plugin' => 'Api',
    'controller' => 'api_blogs',
    '[method]' => 'PUT',
    'action' => 'save',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+',
    )
);

// --- /blog/delete
Router::connect('/api/blog/:blog_id', array(
    'plugin' => 'Api',
    'controller' => 'api_blogs',
    '[method]' => 'DELETE',
    'action' => 'delete',
    'ext' => 'json',
),
    array(
        'blog_id' => '[0-9]+',
    )
);
// --- /blog/delete
Router::connect('/api/blog/delete/:blog_id', array(
    'plugin' => 'Api',
    'controller' => 'api_blogs',
    '[method]' => 'POST',
    'action' => 'delete',
    'ext' => 'json',
),
    array(
        'blog_id' => '[0-9]+',
    )
);
// --- /blog/category/:category_id
Router::connect('/api/blog/category/:category_id', array(
    'plugin' => 'Api',
    'controller' => 'api_blogs',
    '[method]' => 'GET',
    'action' => 'viewByCategory',
    'ext' => 'json',
),
    array(
        'category_id' => '[0-9]+',
    )
);

// --- /blog/categories_list
    Router::connect('/api/blog/categories', array(
        'plugin' => 'Api',
        'controller' => 'api_blogs',
        '[method]' => 'GET',
        'action' => 'categories',
        'ext' => 'json',
    )
    );
//  END Blog

// Topic
// --- /topic/:type
Router::connect('/api/topic/:type', array(
    'plugin' => 'Api',
    'controller' => 'api_topic',
    '[method]' => 'GET',
    'action' => 'browse',
    'ext' => 'json',
),
    array(
        'type' => '(all|my|friends|popular)',
    )
);
// --- /topic/group/:group_id
Router::connect('/api/topic/group/:group_id', array(
    'plugin' => 'Api',
    'controller' => 'api_topic',
    '[method]' => 'GET',
    'action' => 'browseByGroup',
    'ext' => 'json',
),
    array(
        'group_id' => '[0-9]+',
    )
);
// --- /topic/filter/:keyword
Router::connect('/api/topic/filter', array(
    'plugin' => 'Api',
    'controller' => 'api_topic',
    '[method]' => 'POST',
    'action' => 'browse',
    'ext' => 'json',
));
// --- /topic/:id
Router::connect('/api/topic/:id', array(
    'plugin' => 'Api',
    'controller' => 'api_topic',
    '[method]' => 'GET',
    'action' => 'view',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+',
    )
);
// --- /topic/create
Router::connect('/api/topic/:type', array(
    'plugin' => 'Api',
    'controller' => 'api_topic',
    '[method]' => 'POST',
    'action' => 'save',
    'ext' => 'json',
),
    array(
        'type' => '(create|edit)',
    )
);
// --- /topic/edit
Router::connect('/api/topic/:id', array(
    'plugin' => 'Api',
    'controller' => 'api_topic',
    '[method]' => 'PUT',
    'action' => 'save',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+',
    )
);

// --- /topic/delete
Router::connect('/api/topic/:topic_id', array(
    'plugin' => 'Api',
    'controller' => 'api_topic',
    '[method]' => 'DELETE',
    'action' => 'delete',
    'ext' => 'json',
),
    array(
        'topic_id' => '[0-9]+',
    )
);
// --- /topic/delete
Router::connect('/api/topic/delete/:topic_id', array(
    'plugin' => 'Api',
    'controller' => 'api_topic',
    '[method]' => 'POST',
    'action' => 'delete',
    'ext' => 'json',
),
    array(
        'topic_id' => '[0-9]+',
    )
);
// --- /topic/category/:category_id
Router::connect('/api/topic/category/:category_id', array(
    'plugin' => 'Api',
    'controller' => 'api_topic',
    '[method]' => 'GET',
    'action' => 'viewByCategory',
    'ext' => 'json',
),
    array(
        'category_id' => '[0-9]+',
    )
);

// --- /topic/categories
    Router::connect('/api/topic/categories', array(
            'plugin' => 'Api',
            'controller' => 'api_topic',
            '[method]' => 'GET',
            'action' => 'categories',
            'ext' => 'json',
        )
    );
// --- /topic/pin/:topic_id
Router::connect('/api/topic/pin/:topic_id', array(
    'plugin' => 'Api',
    'controller' => 'api_topic',
    '[method]' => 'POST',
    'action' => 'pin',
    'ext' => 'json',
),
    array(
        'topic_id' => '[0-9]+',
    )
);
// --- /topic/unpin/:topic_id
Router::connect('/api/topic/unpin/:topic_id', array(
    'plugin' => 'Api',
    'controller' => 'api_topic',
    '[method]' => 'POST',
    'action' => 'unpin',
    'ext' => 'json',
),
    array(
        'topic_id' => '[0-9]+',
    )
);
// --- /topic/lock/:topic_id
Router::connect('/api/topic/lock/:topic_id', array(
    'plugin' => 'Api',
    'controller' => 'api_topic',
    '[method]' => 'POST',
    'action' => 'lock',
    'ext' => 'json',
),
    array(
        'topic_id' => '[0-9]+',
    )
);
// --- /topic/unlock/:topic_id
Router::connect('/api/topic/unlock/:topic_id', array(
    'plugin' => 'Api',
    'controller' => 'api_topic',
    '[method]' => 'POST',
    'action' => 'unlock',
    'ext' => 'json',
),
    array(
        'topic_id' => '[0-9]+',
    )
);
//  END Topic


// Video
// --- /video/:type
Router::connect('/api/video/:type', array(
    'plugin' => 'Api',
    'controller' => 'api_video',
    '[method]' => 'GET',
    'action' => 'browse',
    'ext' => 'json',
),
    array(
        'type' => '(all|my|friends|popular)',
    )
);
// --- /video/group/:group_id
Router::connect('/api/video/group/:group_id', array(
    'plugin' => 'Api',
    'controller' => 'api_video',
    '[method]' => 'GET',
    'action' => 'browseByGroup',
    'ext' => 'json',
),
    array(
        'group_id' => '[0-9]+',
    )
);
// --- /video/filter/:keyword
Router::connect('/api/video/filter', array(
    'plugin' => 'Api',
    'controller' => 'api_video',
    '[method]' => 'POST',
    'action' => 'browse',
    'ext' => 'json',
));
// --- /video/fetch/
Router::connect('/api/video/fetch', array(
    'plugin' => 'Api',
    'controller' => 'api_video',
    '[method]' => 'POST',
    'action' => 'fetchVideo',
    'ext' => 'json',
));
// --- /video/:id
Router::connect('/api/video/:id', array(
    'plugin' => 'Api',
    'controller' => 'api_video',
    '[method]' => 'GET',
    'action' => 'view',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+',
    )
);
// --- /video/category/:category_id
Router::connect('/api/video/category/:category_id', array(
    'plugin' => 'Api',
    'controller' => 'api_video',
    '[method]' => 'GET',
    'action' => 'viewByCategory',
    'ext' => 'json',
),
    array(
        'category_id' => '[0-9]+',
    )
);

// --- /album/categories
    Router::connect('/api/video/categories', array(
            'plugin' => 'Api',
            'controller' => 'api_video',
            '[method]' => 'GET',
            'action' => 'categories',
            'ext' => 'json',
        )
    );
// --- /video/:type
Router::connect('/api/video/:type', array(
    'plugin' => 'Api',
    'controller' => 'api_video',
    '[method]' => 'POST',
    'action' => 'save',
    'ext' => 'json',
),
    array(
        'type' => '(save|edit)',
    )
);
// --- /video/:id
Router::connect('/api/video/:id', array(
    'plugin' => 'Api',
    'controller' => 'api_video',
    '[method]' => 'PUT',
    'action' => 'save',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+',
    )
);

// --- /video/delete/:video_id
Router::connect('/api/video/:video_id', array(
    'plugin' => 'Api',
    'controller' => 'api_video',
    '[method]' => 'DELETE',
    'action' => 'delete',
    'ext' => 'json',
),
    array(
        'topic_id' => '[0-9]+',
    )
);
// --- /video/delete/:video_id
Router::connect('/api/video/delete/:video_id', array(
    'plugin' => 'Api',
    'controller' => 'api_video',
    '[method]' => 'POST',
    'action' => 'delete',
    'ext' => 'json',
),
    array(
        'topic_id' => '[0-9]+',
    )
);
// END VIDEO

//VIDEO UPLOAD
Router::connect('/api/video_upload', array(
        'plugin' => 'Api',
        'controller' => 'api_upload_video',
        '[method]' => 'POST',
        'action' => 'video',
        'ext' => 'json',
    )
);
//END VIDEO UPLOAD

// ALBUM
// --- /album/:type
Router::connect('/api/album/:type', array(
    'plugin' => 'Api',
    'controller' => 'api_album',
    '[method]' => 'GET',
    'action' => 'browse',
    'ext' => 'json',
),
    array(
        'type' => '(all|my|friends|popular)',
    )
);
// --- /album/filter/:keyword
Router::connect('/api/album/filter', array(
    'plugin' => 'Api',
    'controller' => 'api_album',
    '[method]' => 'POST',
    'action' => 'browse',
    'ext' => 'json',
));
// --- /album/category/:category_id
Router::connect('/api/album/category/:category_id', array(
    'plugin' => 'Api',
    'controller' => 'api_album',
    '[method]' => 'GET',
    'action' => 'viewByCategory',
    'ext' => 'json',
),
    array(
        'category_id' => '[0-9]+',
    )
);
// --- /album/categories
    Router::connect('/api/album/categories', array(
            'plugin' => 'Api',
            'controller' => 'api_album',
            '[method]' => 'GET',
            'action' => 'categories',
            'ext' => 'json',
        )
    );
// --- /album/:album_id
Router::connect('/api/album/:album_id', array(
    'plugin' => 'Api',
    'controller' => 'api_album',
    '[method]' => 'GET',
    'action' => 'view',
    'ext' => 'json',
),
    array(
        'album_id' => '[0-9]+',
    )
);
// --- /album/:type
Router::connect('/api/album/:type', array(
    'plugin' => 'Api',
    'controller' => 'api_album',
    '[method]' => 'POST',
    'action' => 'save',
    'ext' => 'json',
),
    array(
        'type' => '(create|edit)',
    )
);
// --- /album/:id
Router::connect('/api/album/:id', array(
    'plugin' => 'Api',
    'controller' => 'api_album',
    '[method]' => 'PUT',
    'action' => 'save',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+',
    )
);
// --- /album/:type
Router::connect('/api/album/upload', array(
    'plugin' => 'Api',
    'controller' => 'api_album',
    '[method]' => 'POST',
    'action' => 'uploadPhoto',
    'ext' => 'json',
));
// --- /album/setcover
Router::connect('/api/album/setcover', array(
    'plugin' => 'Api',
    'controller' => 'api_album',
    '[method]' => 'POST',
    'action' => 'setAlbumCover',
    'ext' => 'json',
));
// --- /album/delete/:album_id
Router::connect('/api/album/:album_id', array(
    'plugin' => 'Api',
    'controller' => 'api_album',
    '[method]' => 'DELETE',
    'action' => 'delete',
    'ext' => 'json',
),
    array(
        'album_id' => '[0-9]+',
    )
);
// --- /album/delete/:album_id
Router::connect('/api/album/delete/:album_id', array(
    'plugin' => 'Api',
    'controller' => 'api_album',
    '[method]' => 'POST',
    'action' => 'delete',
    'ext' => 'json',
),
    array(
        'album_id' => '[0-9]+',
    )
);
// END ALBUM

// PHOTO

// --- /photo/browse/feed/:photo_id
Router::connect('/api/photo/browse/feed/:photo_id', array(
    'plugin' => 'Api',
    'controller' => 'api_photo',
    '[method]' => 'GET',
    'action' => 'photoLoadByType',
    'ext' => 'json',
),
    array(
        'group_id' => '[0-9]+',
    )
);
// --- /photo/group/:group_id
Router::connect('/api/photo/group/:group_id', array(
    'plugin' => 'Api',
    'controller' => 'api_photo',
    '[method]' => 'GET',
    'action' => 'photoGroup',
    'ext' => 'json',
),
    array(
        'group_id' => '[0-9]+',
    )
);
// --- /photo/album/:album_id
Router::connect('/api/photo/album/:album_id', array(
    'plugin' => 'Api',
    'controller' => 'api_photo',
    '[method]' => 'GET',
    'action' => 'photoAlbum',
    'ext' => 'json',
),
    array(
        'group_id' => '[0-9]+',
    )
);
// --- /tagAlbumPhoto/:photo_id
Router::connect('/api/tagAlbumPhoto/:photo_id', array(
    'plugin' => 'Api',
    'controller' => 'api_photo',
    '[method]' => 'GET',
    'action' => 'tagAlbumPhoto',
    'ext' => 'json',
),
    array(
        'photo_id' => '[0-9]+',
    )
);
// --- /photo/:photo_id
Router::connect('/api/photo/:photo_id', array(
    'plugin' => 'Api',
    'controller' => 'api_photo',
    '[method]' => 'GET',
    'action' => 'view',
    'ext' => 'json',
),
    array(
        'photo_id' => '[0-9]+',
    )
);
// --- /photo/group/:group_id
Router::connect('/api/photo/group/upload', array(
    'plugin' => 'Api',
    'controller' => 'api_photo',
    '[method]' => 'POST',
    'action' => 'groupUpload',
    'ext' => 'json',
));
// --- /photo/tag
Router::connect('/api/photo/tag', array(
    'plugin' => 'Api',
    'controller' => 'api_photo',
    '[method]' => 'POST',
    'action' => 'tag',
    'ext' => 'json',
));
// --- /photo/removetag
Router::connect('/api/photo/removetag', array(
    'plugin' => 'Api',
    'controller' => 'api_photo',
    '[method]' => 'POST',
    'action' => 'removeTag',
    'ext' => 'json',
));
// --- /photo/setcover
Router::connect('/api/photo/setcover', array(
    'plugin' => 'Api',
    'controller' => 'api_photo',
    '[method]' => 'POST',
    'action' => 'setcover',
    'ext' => 'json',
));
// --- /photo/setavartar
Router::connect('/api/photo/setprofilepicture', array(
    'plugin' => 'Api',
    'controller' => 'api_photo',
    '[method]' => 'POST',
    'action' => 'setAvatar',
    'ext' => 'json',
));
// --- /photo/updatecaption
Router::connect('/api/photo/updatecaption', array(
    'plugin' => 'Api',
    'controller' => 'api_photo',
    '[method]' => 'PUT',
    'action' => 'caption',
    'ext' => 'json',
));
// --- /photo/updatecaption
Router::connect('/api/photo/updatecaption', array(
    'plugin' => 'Api',
    'controller' => 'api_photo',
    '[method]' => 'POST',
    'action' => 'caption',
    'ext' => 'json',
));
// --- /photo/delete/:album_id
Router::connect('/api/photo/:photo_id', array(
    'plugin' => 'Api',
    'controller' => 'api_photo',
    '[method]' => 'DELETE',
    'action' => 'delete',
    'ext' => 'json',
),
    array(
        'photo_id' => '[0-9]+',
    )
);
// --- /photo/delete/:album_id
Router::connect('/api/photo/delete/:photo_id', array(
    'plugin' => 'Api',
    'controller' => 'api_photo',
    '[method]' => 'POST',
    'action' => 'delete',
    'ext' => 'json',
),
    array(
        'photo_id' => '[0-9]+',
    )
);
// --- /photo/album/save
Router::connect('/api/photo/album/save', array(
    'plugin' => 'Api',
    'controller' => 'api_photo',
    '[method]' => 'POST',
    'action' => 'saveAlbumPhoto',
    'ext' => 'json',
));
// --- /photo/rotate
Router::connect('/api/photo/rotate', array(
    'plugin' => 'Api',
    'controller' => 'api_photo',
    '[method]' => 'POST',
    'action' => 'rotate',
    'ext' => 'json',
));
// END PHOTO

// GROUP
// --- /group/:type
Router::connect('/api/group/:type', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'GET',
    'action' => 'browse',
    'ext' => 'json',
),
    array(
        'type' => '(all|my|friends|popular|featured|join)',
    )
);
// --- /group/filter/
Router::connect('/api/group/filter', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'POST',
    'action' => 'browse',
    'ext' => 'json',
));
// --- /group/category/:category_id
Router::connect('/api/group/category/:category_id', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'GET',
    'action' => 'viewByCategory',
    'ext' => 'json',
),
    array(
        'category_id' => '[0-9]+',
    )
);
// --- /group/categories
    Router::connect('/api/group/categories', array(
            'plugin' => 'Api',
            'controller' => 'api_group',
            '[method]' => 'GET',
            'action' => 'categories',
            'ext' => 'json',
        )
    );
// --- /group/view/:group_id
Router::connect('/api/group/:group_id', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'GET',
    'action' => 'view',
    'ext' => 'json',
),
    array(
        'group_id' => '[0-9]+',
    )
);

// --- /group/member/:group_id
Router::connect('/api/group/member/:group_id', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'GET',
    'action' => 'groupMember',
    'ext' => 'json',
),
    array(
        'group_id' => '[0-9]+',
    )
);

// --- /group/admin/:group_id
Router::connect('/api/group/admin/:group_id', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'GET',
    'action' => 'groupAdmin',
    'ext' => 'json',
),
    array(
        'group_id' => '[0-9]+',
    )
);

// --- /group/activity/:group_id
Router::connect('/api/group/activity/:group_id', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'GET',
    'action' => 'groupActivity',
    'ext' => 'json',
),
    array(
        'group_id' => '[0-9]+',
    )
);

// --- /group/leave/:group_id
Router::connect('/api/group/leave/:group_id', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'POST',
    'action' => 'leaveGroup',
    'ext' => 'json',
),
    array(
        'group_id' => '[0-9]+',
    )
);

// --- /group/feature/:group_id
Router::connect('/api/group/feature/:group_id', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'POST',
    'action' => 'featureGroup',
    'ext' => 'json',
),
    array(
        'group_id' => '[0-9]+',
    )
);

// --- /group/unfeature/:group_id
Router::connect('/api/group/unfeature/:group_id', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'POST',
    'action' => 'unfeatureGroup',
    'ext' => 'json',
),
    array(
        'group_id' => '[0-9]+',
    )
);

// --- /group/join/request/:group_id
Router::connect('/api/group/join/request/:group_id', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'POST',
    'action' => 'joinRequest',
    'ext' => 'json',
),
    array(
        'group_id' => '[0-9]+',
    )
);
// --- /group/join/view/:group_id
Router::connect('/api/group/join/:group_id', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'GET',
    'action' => 'viewJoinRequest',
    'ext' => 'json',
),
    array(
        'group_id' => '[0-9]+',
    )
);
// --- /group/join/accept/:request_id
Router::connect('/api/group/join/accept/:request_id', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'POST',
    'action' => 'acceptRequest',
    'ext' => 'json',
),
    array(
        'request_id' => '[0-9]+',
    )
);
// --- /group/join/delete/:request_id
Router::connect('/api/group/join/delete/:request_id', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'POST',
    'action' => 'deleteRequest',
    'ext' => 'json',
),
    array(
        'request_id' => '[0-9]+',
    )
);
// --- /group/join/:request_id
Router::connect('/api/group/join/:request_id', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'DELETE',
    'action' => 'deleteRequest',
    'ext' => 'json',
),
    array(
        'request_id' => '[0-9]+',
    )
);
// --- /group/notification/on/group_id
Router::connect('/api/group/notification/on/:group_id', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'POST',
    'action' => 'notifyOn',
    'ext' => 'json',
),
    array(
        'group_id' => '[0-9]+',
    )
);
// --- /group/notification/off/group_id
Router::connect('/api/group/notification/off/:group_id', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'POST',
    'action' => 'notifyOff',
    'ext' => 'json',
),
    array(
        'group_id' => '[0-9]+',
    )
);
// --- /group/join/delete/:request_id
Router::connect('/api/group/join/:request_id', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'DELETE',
    'action' => 'deleteRequest',
    'ext' => 'json',
),
    array(
        'request_id' => '[0-9]+',
    )
);
// --- /group/join/invite
Router::connect('/api/group/invite', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'POST',
    'action' => 'sendInvite',
    'ext' => 'json',
));
// --- /group/create
Router::connect('/api/group/create', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'POST',
    'action' => 'save',
    'ext' => 'json',
));
// --- /group/edit
Router::connect('/api/group/edit', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'POST',
    'action' => 'save',
    'ext' => 'json',
));
// --- /group/edit
Router::connect('/api/group/:group_id', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'PUT',
    'action' => 'save',
    'ext' => 'json',
),
    array(
        'group_id' => '[0-9]+',
    )
);

// --- /group/delete/:group_id
Router::connect('/api/group/:group_id', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'DELETE',
    'action' => 'delete',
    'ext' => 'json',
),
    array(
        'group_id' => '[0-9]+',
    )
);
// --- /group/delete/:group_id
Router::connect('/api/group/delete/:group_id', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'POST',
    'action' => 'delete',
    'ext' => 'json',
),
    array(
        'group_id' => '[0-9]+',
    )
);

Router::connect('/api/group/my_group_list', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'GET',
    'action' => 'myGroupsList',
    'ext' => 'json',
));
// END GROUP

// EVENT
// --- /event/:type
Router::connect('/api/event/:type', array(
    'plugin' => 'Api',
    'controller' => 'api_event',
    '[method]' => 'GET',
    'action' => 'browse',
    'ext' => 'json',
),
    array(
        'type' => '(upcoming|myupcomming|mypast|friendattend|past)',
    )
);
// --- /event/filter/
Router::connect('/api/event/filter', array(
    'plugin' => 'Api',
    'controller' => 'api_event',
    '[method]' => 'POST',
    'action' => 'browse',
    'ext' => 'json',
));
// --- /event/category/:category_id
Router::connect('/api/event/category/:category_id', array(
    'plugin' => 'Api',
    'controller' => 'api_event',
    '[method]' => 'GET',
    'action' => 'viewByCategory',
    'ext' => 'json',
),
    array(
        'category_id' => '[0-9]+',
    )
);
// --- /event/categories
    Router::connect('/api/event/categories', array(
            'plugin' => 'Api',
            'controller' => 'api_event',
            '[method]' => 'GET',
            'action' => 'categories',
            'ext' => 'json',
        )
    );
// --- /event/activity/:event_id
Router::connect('/api/event/activity/:event_id', array(
    'plugin' => 'Api',
    'controller' => 'api_event',
    '[method]' => 'GET',
    'action' => 'eventActivity',
    'ext' => 'json',
),
    array(
        'event_id' => '[0-9]+',
    )
);
// --- /event/:type
Router::connect('/api/event/rsvp/:type/:event_id', array(
    'plugin' => 'Api',
    'controller' => 'api_event',
    '[method]' => 'GET',
    'action' => 'rsvp',
    'ext' => 'json',
),
    array(
        'type' => '(attend|maybe|no|wait)',
        'event_id' => '[0-9]+',
    )
);

// --- /event/:event_id
Router::connect('/api/event/:event_id', array(
    'plugin' => 'Api',
    'controller' => 'api_event',
    '[method]' => 'GET',
    'action' => 'view',
    'ext' => 'json',
),
    array(
        'event_id' => '[0-9]+',
    )
);
// --- /event/invite
Router::connect('/api/event/invite', array(
    'plugin' => 'Api',
    'controller' => 'api_event',
    '[method]' => 'POST',
    'action' => 'sendInvite',
    'ext' => 'json',
));

// --- /event/rsvp
Router::connect('/api/event/rsvp', array(
    'plugin' => 'Api',
    'controller' => 'api_event',
    '[method]' => 'POST',
    'action' => 'sendRSVP',
    'ext' => 'json',
));
// --- /event/create
Router::connect('/api/event/create', array(
    'plugin' => 'Api',
    'controller' => 'api_event',
    '[method]' => 'POST',
    'action' => 'save',
    'ext' => 'json',
));
// --- /event/edit
Router::connect('/api/event/edit', array(
    'plugin' => 'Api',
    'controller' => 'api_event',
    '[method]' => 'POST',
    'action' => 'save',
    'ext' => 'json',
));
// --- /event/edit
Router::connect('/api/event/:id', array(
    'plugin' => 'Api',
    'controller' => 'api_event',
    '[method]' => 'PUT',
    'action' => 'save',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+',
    )
);

// --- /event/delete/:event_id
Router::connect('/api/event/:event_id', array(
    'plugin' => 'Api',
    'controller' => 'api_event',
    '[method]' => 'DELETE',
    'action' => 'delete',
    'ext' => 'json',
),
    array(
        'event_id' => '[0-9]+',
    )
);
// --- /event/delete/:event_id
Router::connect('/api/event/delete/:event_id', array(
    'plugin' => 'Api',
    'controller' => 'api_event',
    '[method]' => 'POST',
    'action' => 'delete',
    'ext' => 'json',
),
    array(
        'event_id' => '[0-9]+',
    )
);
// END EVENT

// User

// --- /user/me
Router::connect('/api/user/browse/:type', array(
    'plugin' => 'Api',
    'controller' => 'api_users',
    '[method]' => 'GET',
    'action' => 'browse',
    'ext' => 'json',
),
    array(
        'type' => '(all|friends)',
    )
);
// --- /user/search
Router::connect('/api/user/search', array(
    'plugin' => 'Api',
    'controller' => 'api_users',
    '[method]' => 'POST',
    'action' => 'browse',
    'ext' => 'json',
));
// --- /user/me
Router::connect('/api/user/me', array(
    'plugin' => 'Api',
    'controller' => 'api_users',
    '[method]' => 'GET',
    'action' => 'me',
    'ext' => 'json',
));
// --- /user/follow
Router::connect('/api/user/follow', array(
    'plugin' => 'Api',
    'controller' => 'api_follow',
    '[method]' => 'GET',
    'action' => 'following',
    'ext' => 'json',
));
// --- GET /user/{id}/menu
Router::connect('/api/user/:id/menu', array(
    'plugin' => 'Api',
    'controller' => 'api_users',
    '[method]' => 'GET',
    'action' => 'getMenuProfile',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+'
    )
);

// --- /user/{user-id}
Router::connect('/api/user/:id', array(
    'plugin' => 'Api',
    'controller' => 'api_users',
    '[method]' => 'GET',
    'action' => 'user',
    'ext' => 'json',
),
    array(
        'pass' => array('id'),
        'id' => '[0-9]+'
    )
);

// --- GET /user/{id}/activities
Router::connect('/api/user/:id/activities', array(
    'plugin' => 'Api',
    'controller' => 'api_users',
    '[method]' => 'GET',
    'action' => 'getActivities',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+'
    )
);
// --- GET /user/{user-id}/friends
Router::connect('/api/user/:id/friends', array(
    'plugin' => 'Api',
    'controller' => 'api_users',
    '[method]' => 'GET',
    'action' => 'getFriends',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+'
    )
);
// --- GET /user/{user-id}/friends
Router::connect('/api/user/:id/blocked', array(
    'plugin' => 'Api',
    'controller' => 'api_users',
    '[method]' => 'GET',
    'action' => 'getBlockMember',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+'
    )
);
// --- GET /user/{user-id}/blogs
Router::connect('/api/user/:id/blogs', array(
    'plugin' => 'Api',
    'controller' => 'api_blogs',
    '[method]' => 'GET',
    'action' => 'getBlogProfile',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+'
    )
);
// --- GET /user/{user-id}/topics
Router::connect('/api/user/:id/topics', array(
    'plugin' => 'Api',
    'controller' => 'api_topic',
    '[method]' => 'GET',
    'action' => 'getTopicProfile',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+'
    )
);
// --- GET /user/{user-id}/albums
Router::connect('/api/user/:id/albums', array(
    'plugin' => 'Api',
    'controller' => 'api_photo',
    '[method]' => 'GET',
    'action' => 'getAlbumProfile',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+'
    )
);
// --- GET /user/{user-id}/photos
Router::connect('/api/user/:id/photos', array(
    'plugin' => 'Api',
    'controller' => 'api_photo',
    '[method]' => 'GET',
    'action' => 'getTagPhoto',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+'
    )
);
// --- GET /user/{user-id}/events
Router::connect('/api/user/:id/events', array(
    'plugin' => 'Api',
    'controller' => 'api_event',
    '[method]' => 'GET',
    'action' => 'getEventProfile',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+'
    )
);
// --- GET /user/{user-id}/groups
Router::connect('/api/user/:id/groups', array(
    'plugin' => 'Api',
    'controller' => 'api_group',
    '[method]' => 'GET',
    'action' => 'getGroupProfile',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+'
    )
);
// --- GET /user/{user-id}/videos
Router::connect('/api/user/:id/videos', array(
    'plugin' => 'Api',
    'controller' => 'api_video',
    '[method]' => 'GET',
    'action' => 'getVideoProfile',
    'ext' => 'json',
),
    array(
        'id' => '[0-9]+'
    )
);
// --- GET /user/{user-id}/likes
Router::connect('/api/user/:id/likes', array(
    'plugin' => 'Api',
    'controller' => 'api_users',
    '[method]' => 'GET',
    'action' => 'getLikes',
),
    array(
        'pass' => array('id'),
        'id' => '[0-9]+'
    )
);
// --- GET /user/{user-id}/notifications
Router::connect('/api/user/:id/notifications', array(
    'plugin' => 'Api',
    'controller' => 'api_users',
    '[method]' => 'GET',
    'action' => 'getNotifications',
),
    array(
        'pass' => array('id'),
        'id' => '[0-9]+'
    )
);
// --- GET /user/{user-id}/photos
Router::connect('/api/user/:id/photos', array(
    'plugin' => 'Api',
    'controller' => 'api_users',
    '[method]' => 'GET',
    'action' => 'getPhotos',
),
    array(
        'pass' => array('id'),
        'id' => '[0-9]+'
    )
);
// --- GET /user/{user-id}/photos/uploaded
Router::connect('/api/user/:id/photos/uploaded', array(
    'plugin' => 'Api',
    'controller' => 'api_users',
    '[method]' => 'GET',
    'action' => 'getPhotosUploaded',
),
    array(
        'pass' => array('id'),
        'id' => '[0-9]+'
    )
);
Router::connect('/api/user/:id/photos/uploaded', array(
    'plugin' => 'Api',
    'controller' => 'api_users',
    '[method]' => 'GET',
    'action' => 'getPhotosUploaded',
),
    array(
        'pass' => array('id'),
        'id' => '[0-9]+'
    )
);
// --- GET /user/register
Router::connect('/api/user/register', array(
    'plugin' => 'Api',
    'controller' => 'api_users',
    '[method]' => 'GET',
    'action' => 'getRegister',
    'ext' => 'json',
)
);
// --- POST /user/register
Router::connect('/api/user/register', array(
        'plugin' => 'Api',
        'controller' => 'api_users',
        '[method]' => 'POST',
        'action' => 'postRegister',
        'ext' => 'json',
    )
);
// --- POST /user/password
Router::connect('/api/user/password', array(
        'plugin' => 'Api',
        'controller' => 'api_users',
        '[method]' => 'POST',
        'action' => 'changePassword',
        'ext' => 'json',
    )
);
// --- POST /user/edit
Router::connect('/api/user/edit', array(
        'plugin' => 'Api',
        'controller' => 'api_users',
        '[method]' => 'POST',
        'action' => 'editProfile',
        'ext' => 'json',
    )
);
// --- PUT /user/{user_id}
Router::connect('/api/user', array(
        'plugin' => 'Api',
        'controller' => 'api_users',
        '[method]' => 'PUT',
        'action' => 'editProfile',
        'ext' => 'json',
),
    array(
        'id' => '[0-9]+'
    )
);

// --- GET /user/forgot
Router::connect('/api/user/forgot', array(
    'plugin' => 'Api',
    'controller' => 'api_users',
    '[method]' => 'GET',
    'action' => 'getForgot',
    'ext' => 'json',
)
);
// --- POST /user/forgot
Router::connect('/api/user/forgot', array(
        'plugin' => 'Api',
        'controller' => 'api_users',
        '[method]' => 'POST',
        'action' => 'postForgot',
        'ext' => 'json',
    )
);
// --- POST /user/forgot

Router::connect('/api/user/me/avatar', array(
        'plugin' => 'Api',
        'controller' => 'uploads',
        '[method]' => 'POST',
        'action' => 'avatar',
        'ext' => 'json',
    )
);

// --- POST /user/update-setting-see-mee
Router::connect('/api/user/update-setting-see-me', array(
		'plugin' => 'Api',
		'controller' => 'api_users',
		'[method]' => 'POST',
		'action' => 'updateSettingSeeMe',
		'ext' => 'json',
	)
);

// End User

// REPORT
// --- POST /{object}/report
Router::connect('/api/:objectType/report', array(
        'plugin' => 'Api',
        'controller' => 'api_reports',
        '[method]' => 'POST',
        'action' => 'action',
        'ext' => 'json',
));

// END REPORT
// FOLLOW
// --- POST /user/follow
Router::connect('/api/user/follow', array(
        'plugin' => 'Api',
        'controller' => 'api_follow',
        '[method]' => 'POST',
        'action' => 'do_follow',
        'ext' => 'json',
));
// --- POST /user/unfollow
Router::connect('/api/user/unfollow', array(
        'plugin' => 'Api',
        'controller' => 'api_follow',
        '[method]' => 'POST',
        'action' => 'do_unfollow',
        'ext' => 'json',
));

// END FOLLOW
// BLOCK MEMBER
// --- POST /user/block
Router::connect('/api/user/block', array(
        'plugin' => 'Api',
        'controller' => 'api_user_block',
        '[method]' => 'POST',
        'action' => 'do_block',
        'ext' => 'json',
));
// --- POST /user/unblock
Router::connect('/api/user/unblock', array(
        'plugin' => 'Api',
        'controller' => 'api_user_block',
        '[method]' => 'POST',
        'action' => 'do_unblock',
        'ext' => 'json',
));

// END FOLLOW
/*
Router::connect('/api/search/:keyword', array(
    'plugin' => 'Api',
    'controller' => 'searchs',
    '[method]' => 'GET',
    'action' => 'index',
    'ext' => 'json',
),
    array(
        'pass' => array('keyword'),
        //'keyword'=>'[0-9]+'
    )
);
*/
Router::connect('/api/search', array(
    'plugin' => 'Api',
    'controller' => 'searchs',
    '[method]' => 'POST',
    'action' => 'index',
    'ext' => 'json',
)
);
//--- End search

//----- Notifications
// --- /search/{keyword}
// Chat integration
$turnOnNotificaitonRouter = true;
$chatDisable = Configure::read('Chat.chat_disable');
if(isset($chatDisable) && $chatDisable == 0){
    $chatNotificationTurnOn = Configure::read('Chat.chat_turn_on_notification');
    if(isset($chatNotificationTurnOn) && $chatNotificationTurnOn == 1){
        $turnOnNotificaitonRouter = false;
    }
}
if($turnOnNotificaitonRouter){
        Router::connect('/api/notification/me', array(
                'plugin' => 'Api',
                'controller' => 'Notification',
                '[method]' => 'GET',
                'action' => 'refresh',
                'ext' => 'json',
            )
        );
}

Router::connect('/api/notification/me/show', array(
        'plugin' => 'Api',
        'controller' => 'Notification',
        '[method]' => 'GET',
        'action' => 'show',
        'ext' => 'json',
    )
);
Router::connect('/api/notification/me/clear', array(
        'plugin' => 'Api',
        'controller' => 'Notification',
        '[method]' => 'GET',
        'action' => 'clear',
        'ext' => 'json',
    )
);
Router::connect('/api/notification/me/delete', array(
        'plugin' => 'Api',
        'controller' => 'Notification',
        '[method]' => 'POST',
        'action' => 'remove',
        'ext' => 'json',
    )
);
Router::connect('/api/notification/:id', array(
        'plugin' => 'Api',
        'controller' => 'Notification',
        '[method]' => 'POST',
        'action' => 'update',
        'ext' => 'json',
    ),
    array(
        'pass' => array('id'),
        'id' => '[0-9]+'
    )
);
Router::connect('/api/notification/me/mark_read_all', array(
		'plugin' => 'Api',
		'controller' => 'Notification',
		'[method]' => 'GET',
		'action' => 'mark_read_all',
		'ext' => 'json',
)
		);
//---------------

//---------- Google Cloud Messaging
Router::connect('/api/user/me/gcm/token', array(
    'plugin' => 'Api',
    'controller' => 'ApiGcms',
    '[method]' => 'POST',
    'action' => 'post',
    'ext' => 'json',
),
    array(
        'pass' => array('user_id'),
        'user_id' => '[0-9]+'
    )
);
Router::connect('/api/user/me/gcm/token', array(
        'plugin' => 'Api',
        'controller' => 'ApiGcms',
        '[method]' => 'DELETE',
        'action' => 'delete',
        'ext' => 'json',
    )

);
Router::connect('/api/user/me/gcm/token/delete', array(
        'plugin' => 'Api',
        'controller' => 'ApiGcms',
        '[method]' => 'POST',
        'action' => 'delete',
        'ext' => 'json',
    )
);
//---------- End Google Cloud Messaging

//----- Messages
// Chat integration
$turnOnMessagesRouter = true;
if(isset($chatDisable) && $chatDisable == 0){
    $chatNotificationTurnOn = Configure::read('Chat.chat_turn_on_notification');
    if(isset($chatNotificationTurnOn) && $chatNotificationTurnOn == 1){
        $turnOnMessagesRouter = false;
    }
}
if($turnOnMessagesRouter) {
    Router::connect('/api/message/me/show', array(
            'plugin' => 'Api',
            'controller' => 'Message',
            '[method]' => 'GET',
            'action' => 'show',
            'ext' => 'json',
        )
    );
}
//------ End Messages

//----- Document
Router::connect('/api/document', array(
        'plugin' => 'Api',
        'controller' => 'DocumentApi',
        '[method]' => 'GET',
        'action' => 'index',
    )
);
//------ End Document

//----- SHARE
Router::connect('/api/share/wall', array(
    'plugin' => 'Api',
    'controller' => 'ApiShare',
    '[method]' => 'POST',
    'action' => 'wall',
    'ext' => 'json',
    )
);
Router::connect('/api/share/friend', array(
    'plugin' => 'Api',
    'controller' => 'ApiShare',
    '[method]' => 'POST',
    'action' => 'friend',
    'ext' => 'json',
    )
);
Router::connect('/api/share/group', array(
    'plugin' => 'Api',
    'controller' => 'ApiShare',
    '[method]' => 'POST',
    'action' => 'group',
    'ext' => 'json',
    )
);
Router::connect('/api/share/msg', array(
    'plugin' => 'Api',
    'controller' => 'ApiShare',
    '[method]' => 'POST',
    'action' => 'msg',
    'ext' => 'json',
    )
);
Router::connect('/api/share/email', array(
    'plugin' => 'Api',
    'controller' => 'ApiShare',
    '[method]' => 'POST',
    'action' => 'email',
    'ext' => 'json',
    )
);
Router::connect('/api/share/get_url', array(
	'plugin' => 'Api',
	'controller' => 'ApiShare',
	'[method]' => 'POST',
	'action' => 'get_url',
	'ext' => 'json',
	)
);
//------ END SHARE

// read message
Router::connect('/api/message/:id', array(
    'plugin' => 'Api',
    'controller' => 'Message',
    '[method]' => 'POST',
    'action' => 'update',
    'ext' => 'json',
),
    array(
        'pass' => array('id'),
        'id' => '[0-9]+'
    )
);

// Social intergration
Router::connect('/api/social/auth', array(
    'plugin' => 'Api',
    'controller' => 'ApiSocial',
    '[method]' => 'POST',
    'action' => 'auth',
    'ext' => 'json',
));
// End Social intergration

// Settings
Router::connect('/api/setting/all', array(
    'plugin' => 'Api',
    'controller' => 'ApiSettings',
    '[method]' => 'GET',
    'action' => 'all',
    'ext' => 'json',
));
// End Settings

// Feed Story
Router::connect('/api/story/view/:uid/:id', array(
    'plugin' => 'Api',
    'controller' => 'api_story',
    '[method]' => 'GET',
    'action' => 'view',
    'ext' => 'json',
),
    array(
        'pass' => array('uid', 'id'),
        'uid' => '[0-9]+',
    )
);

// Feed Story
Router::connect('/api/story/delete/:id', array(
    'plugin' => 'Api',
    'controller' => 'api_story',
    '[method]' => 'GET',
    'action' => 'delete',
    'ext' => 'json',
),
    array(
        'pass' => array('id'),
        'id' => '[0-9]+',
    )
);
}
else {
    Router::connect('/api/user/me', array(
        'plugin' => 'Api',
        'controller' => 'api_users',
        '[method]' => 'GET',
        'action' => 'me',
        'ext' => 'json',
    ));
    Router::connect("/api/*",array(
        'plugin'=>'Api',
        'controller'=>'Apis',
        'action'=>'isOfflineMode',
        'ext' => 'json',
    ));

}

//Subscription
Router::connect('/api/pay', array(
    'plugin' => 'Api',
    'controller' => 'ApiPay',
    '[method]' => 'POST',
    'action' => 'index',
    'ext' => 'json',
));
//End subscription
