import React from 'react';
import _ from 'lodash';
import {Card, CardActions, CardHeader, CardMedia, CardTitle, CardText} from 'material-ui/Card';

import {List, ListItem} from 'material-ui/List';
import Avatar from 'material-ui/Avatar';
import {isAndroid} from "../../utility/MobileDetector";
import AndroidAction from '../../utility/AndroidAction';


export  class ACMedia extends React.Component {
    constructor(props) {
        super(props);

        // This binding is necessary to make `this` work in the callback
        this.handleClick = this.handleClick.bind(this);
    }
    handleClick() {
        if(_.has(this.props,'url')){
            window.location.href = this.props.url;
        }
    }
    render() {
        var props={};
        props['key'] = _.get(this.props,'id',0);
        props['primaryText']=<div dangerouslySetInnerHTML={{__html: _.truncate(_.get(this.props,'primaryText',''),{ 'length': 155 })}}></div>;
        props['secondaryText']=<div dangerouslySetInnerHTML={{__html: _.truncate(_.get(this.props,'secondaryText',''),{ 'length': 455 })}}></div>;
        props['secondaryTextLines']=2;
        props['onClick']=this.handleClick;

        if(_.has(this.props,'image')){
            props['leftAvatar'] = <Avatar style={{borderRadius: 0}} size={50} src={_.get(this.props,'image','')} />;
        }
        return <div style={{border: "1px solid rgb(217, 217, 217)",margin:"0 5px 0 5px"}}><List ><ListItem {...props}></ListItem></List></div>
    }
}
export  class ACMediaPhone extends React.Component {
    constructor(props) {
        super(props);
        this.handleClick = this.handleClick.bind(this);
    }

    handleClick() {
        if (_.has(this.props, 'objects.url')) {
            if( _.has(this.props, 'objects.url')  && this.props.objects.type == 'Livenews_Livenews' && isAndroid()){
                AndroidAction.openLink(this.props.objects.url);
            }else{
                window.location.href = this.props.objects.url;
            }            
        }
    }

    render() {
        console.log(this.props.objects);
        var media, title, desc;
        media = title = desc = <div></div>;
        if (_.has(this.props, "objects.title")) {
            title = <CardText style={{padding:"10px",color:"#247BBA",fontSize:'16px',fontWeight:"bold",lineHeight:"20px",wordBreak:"break-word"}} dangerouslySetInnerHTML={{__html: _.unescape(this.props.objects.title)}}></CardText>;
        }
        if (_.has(this.props, "objects.description")) {
            desc = <CardText className="browseDes" style={{padding:"0 10px 10px ",fontSize:"15px",lineHeight:"1.5",wordBreak:"break-word"}} dangerouslySetInnerHTML={{__html: _.get(this.props,'objects.description','')}}  ></CardText>;
        }
        if (_.has(this.props, "objects.images.850")) {
            media = <CardMedia>
                            <div style={{backgroundImage:"url('"+_.get(this.props,"objects.images.850")+"')",backgroundRepeat:"no-repeat",paddingBottom:"56.25%",display:"block",backgroundSize:"cover",backgroundPosition:"center center"}}></div>
                        </CardMedia>;
        }
        if (_.has(this.props, "isShare") && _.get(this.props, "isShare") == true ) {
            return <div onClick={this.handleClick}>
                {media}
                {title}
                {desc}
            </div>;
        }
        else {
            return <div style={{padding:"8px"}} ><Card onClick={this.handleClick}>
            {media}
            {title}
            {desc}
            </Card></div>;
        }
    }
}
