import React from 'react';
import {Card, CardActions, CardHeader, CardMedia, CardTitle, CardText} from 'material-ui/Card';
import _ from 'lodash';
import {List, ListItem} from 'material-ui/List';
import IconButton from 'material-ui/IconButton';
import ActionMore from 'material-ui/svg-icons/navigation/expand-more';

import {GridList, GridTile} from 'material-ui/GridList';
import Avatar from 'material-ui/Avatar';
//-- custom
import NotificationLiveTv from 'material-ui/svg-icons/notification/live-tv';
//-- end
import {ACMedia,ACMediaPhone} from './ACMedia'
//import YouTube from 'react-youtube';
import ActionFlightTakeoff from 'material-ui/svg-icons/action/flight-takeoff';

import {isAndroid} from "../../utility/MobileDetector";
import AndroidAction from '../../utility/AndroidAction';
import PlayCircleFilledIcon from '@material-ui/icons/PlayCircleFilled';
import InViewMonitor from "react-inview-monitor"
import ACVideoAutoPlay from './ACVideoAutoPlay'


export  class ACVideo extends React.Component {
    constructor(props) {
        super(props);
        this.handleClick = this.handleClick.bind(this);
        this.handleClickVideo = this.handleClickVideo.bind(this);
        this.state = {isEmbedIframeVideo:false};
    }

    handleClickVideo() {
        
        if(this.props.objects.canView == true) {
            if (isAndroid())
            {
                    switch (this.props.objects.source){ 
                            case 'youtube':
                                    AndroidAction.openLink('https://www.youtube.com/watch?v='+_.get(this.props,"objects.source_id"));
                                    return;
                                    break;
                            case 'vimeo':
                                    AndroidAction.openLink('https://vimeo.com/'+_.get(this.props,"objects.source_id"));
                                    return;
                                    break;
                    }

                    if(this.props.objects.pcUpload) {
                           Android.openUrl(_.get(this.props, 'objects.videoSource')); 
//                        if (_.has(this.props, 'objects.url')) {
//                            window.location.href = this.props.objects.url;
//                        }
                    }
            }
            else {
                if(this.props.objects.source == 'youtube') {
                    var url = mooConfig.url.base + '/activities/view/' + this.props.id + '?access_token='+mooConfig.access_token+'&youtubeId='+this.props.objects.source_id;
                    window.location.href = url;
                }
                else this.setState({isEmbedIframeVideo:true});
            }
        }
        else {
            if (_.has(this.props, 'objects.url')) {
                window.location.href = this.props.objects.url;
            }
        }
    }
    handleClick() {
        if (_.has(this.props, 'objects.url')) {
            window.location.href = this.props.objects.url;
        }
    }

    render() {

        var media, title, desc,videoPattern;
        videoPattern = media = title = desc = <div></div>;
        if (_.has(this.props, "objects.title")) {
            title = <CardText onClick={this.handleClick} style={{padding:"10px"}} dangerouslySetInnerHTML={{__html: _.get(this.props,"objects.title")}}  style={{color:"#247BBA",fontSize:'16px',fontWeight:"bold",lineHeight:"20px"}}   />;
        }
        if (_.has(this.props, "objects.description")) {
            desc = <CardText style={{padding:"0 10px 10px ",fontSize:"13px",lineHeight:"1.5",wordBreak:"break-word"}} dangerouslySetInnerHTML={{__html: _.get(this.props,"objects.description")}} ></CardText>;;
        }
        if (_.has(this.props, "objects.images.850")) {
             media = <CardMedia onClick={this.handleClickVideo}  >
                            <div style={{backgroundImage:"url('"+_.get(this.props,"objects.images.850")+"')",backgroundRepeat:"no-repeat",paddingBottom:"56.25%",display:"block",backgroundSize:"cover",backgroundPosition:"center center"}}></div>
                        </CardMedia>;
        }
        if(this.state.isEmbedIframeVideo){
            if(_.has(this.props,"objects.source")){
                switch (this.props.objects.source){ 
                    
                    case 'youtube':
                        return <div>
                        <iframe style={{minHeight:"200px"}} width={'100%'} height={'100%'} src={'https://www.youtube.com/embed/' + _.get(this.props,"objects.source_id")+'?wmode=opaque'} frameBorder={0} allowFullScreen></iframe>
                        {title}
                        {desc}
                        </div>;
                        break;
                    case 'vimeo':
                        return <div>
                            <iframe width={'100%'} height={'auto'} src={'https://player.vimeo.com/video/' + _.get(this.props,"objects.source_id")+'?wmode=opaque'} frameBorder={0} allowFullScreen></iframe>
                            {title}
                            {desc}
                        </div>;
                        break;
                }
                
                if(this.props.objects.pcUpload) {
                    if (isAndroid()) {
                        videoPattern = <CardMedia onClick={this.handleClickVideo}  >
                                <div style={{backgroundImage:"url('"+_.get(this.props,"objects.images.850")+"')",backgroundRepeat:"no-repeat",paddingBottom:"56.25%",display:"block",backgroundSize:"cover",backgroundPosition:"center center"}}></div>
                            </CardMedia>;
                    }
                    else {
                        videoPattern = <video width="100%" controls preload="none" poster={_.get(this.props,"objects.images.850")}>
                                    <source src={_.get(this.props,"objects.videoSource")} type='video/mp4'/>
                            </video>;
                    }
                    return <div style={{padding:"8px"}} ><Card>
                            {videoPattern}
                            {title}
                            {desc}
                        </Card></div>;
                }
            }
        }
        if (_.has(this.props, "isShare") && _.get(this.props, "isShare") == true ) {
            return <div style={{padding:"8px"}} >
                {media}
                {title}
                {desc}
            </div>;
        }
        else {
            return <div style={{padding:"8px"}} ><Card>
            {media}
            {title}
            {desc}
            </Card></div>;
        }

    }
}
export class ACVideoShare extends React.Component {
    render() {

            return <div>
            <CardText >
                <CardText style={{fontSize:"14px",margin:"0 0 10px 0",padding:"0 0px"}} dangerouslySetInnerHTML={{__html: _.get(this.props, 'objects.contentHtml','')}}></CardText>
                <Card><ACVideo isShare={true} {...this.props}/></Card>
                
            </CardText>
            </div>;

    }
}
export  class ACVideoActivity extends React.Component {
    constructor(props) {
        super(props);
        this.handleClick = this.handleClick.bind(this);
        this.handleClickVideo = this.handleClickVideo.bind(this);
        this.state = {isEmbedIframeVideo:false};
    }

    handleClickVideo() {
    	if (isAndroid())
    	{
    		switch (this.props.objects.videoObject.source){ 
                        case 'youtube':
                                AndroidAction.openLink('https://www.youtube.com/watch?v='+_.get(this.props,"objects.videoObject.source_id"));
                                return;
                                break;
                        case 'vimeo':
                                AndroidAction.openLink('https://vimeo.com/'+_.get(this.props,"objects.videoObject.source_id"));
                                return;
                                break;
    		}
                
                if(this.props.objects.videoObject.pcUpload) {
                        Android.openUrl(_.get(this.props, 'objects.videoObject.videoSource'));
//                        if (_.has(this.props, 'objects.url')) {
//                            window.location.href = this.props.objects.url;
//                        }
                }
    	}
        else {
        	switch (this.props.objects.videoObject.source){ 
			            case 'youtube':
			                    var url = 'https://www.youtube.com/watch?v='+_.get(this.props,"objects.videoObject.source_id");
			                    window.location.href = url;
			                    return;
			                    break;
			            case 'vimeo':
			            		var url = 'https://vimeo.com/'+_.get(this.props,"objects.videoObject.source_id");
			            		window.location.href = url;
			                    return;
			                    break;
			}
        	
        	this.setState({isEmbedIframeVideo:true});
        }
    }
    handleClick() {
        if (_.has(this.props, 'objects.url')) {
            window.location.href = this.props.objects.url;
        }
    }

    render() {

        var videoPattern,media, title, desc,contentHtml;
        videoPattern = contentHtml = media = title = desc = <div></div>;
        if (_.has(this.props, "objects.contentHtml")) {
            contentHtml = <CardText style={{wordBreak:"break-word"}} dangerouslySetInnerHTML={{__html: _.get(this.props, 'objects.contentHtml','')}}></CardText>;
        }
        if (_.has(this.props, "objects.videoObject.title")) {
            title = <CardText onClick={this.handleClick} style={{padding:"10px",color:"#247BBA",fontSize:'16px',fontWeight:"bold",lineHeight:"20px"}} dangerouslySetInnerHTML={{__html: _.get(this.props,"objects.videoObject.title")}} />;
        }
        if (_.has(this.props, "objects.videoObject.description")) {
            desc = <CardText style={{padding:"0 10px 10px ",fontSize:"13px",lineHeight:"1.5",wordBreak:"break-word"}} dangerouslySetInnerHTML={{__html: _.get(this.props,"objects.videoObject.description")}} ></CardText>;;
        }
        if (_.has(this.props, "objects.videoObject.thumb")) {
            if(_.has(mooConfig, "mooVideoUpload") && mooConfig.mooVideoUpload.uploadvideo_auto_play_video == '1' && this.props.objects.videoObject.pcUpload){
                media = <InViewMonitor
                        childPropsInView={{isPlaying: true}}
                        toggleChildPropsOnInView={true}
                        intoViewMargin='-100px'
                    >
                    <ACVideoAutoPlay src={_.get(this.props,"objects.videoObject.videoSource")} poster={_.get(this.props,"objects.videoObject.thumb")} />
                </InViewMonitor>
            }else{
                media = <CardMedia onClick={this.handleClickVideo}  >
                            <div style={{position: "relative", backgroundImage:"url('"+_.get(this.props,"objects.videoObject.thumb")+"')",backgroundRepeat:"no-repeat",paddingBottom:"56.25%",display:"block",backgroundSize:"cover",backgroundPosition:"center center"}}>
                                <PlayCircleFilledIcon viewBox="-3 -3 30 30" style={{verticalAlign:"middle", color:"#000000", position: "absolute", 'top': "50%", 'left': "50%", height: "70px", width: "70px", 'marginTop': "-35px", 'marginLeft': "-35px"}}></PlayCircleFilledIcon>
                            </div>
                        </CardMedia>;
            }
        }
        if(this.state.isEmbedIframeVideo){
            if(_.has(this.props,"objects.videoObject.source")){
                switch (this.props.objects.videoObject.source){ 
                    
                    case 'youtube':
                        return <div>
                        {contentHtml}
                        <iframe style={{minHeight:"200px"}} width={'100%'} height={'100%'} src={'https://www.youtube.com/embed/' + _.get(this.props,"objects.videoObject.source_id")+'?wmode=opaque'} frameBorder={0} allowFullScreen></iframe>
                        {title}
                        {desc}
                        </div>;
                        break;
                    case 'vimeo':
                        return <div>
                            {contentHtml}
                            <iframe width={'100%'} height={'auto'} src={'https://player.vimeo.com/video/' + _.get(this.props,"objects.videoObject.source_id")+'?wmode=opaque'} frameBorder={0} allowFullScreen></iframe>
                            {title}
                            {desc}
                        </div>;
                        break;
                }
                if(this.props.objects.videoObject.pcUpload) {
                    if (isAndroid()) {
                        videoPattern = <CardMedia onClick={this.handleClickVideo}  >
                                <div style={{backgroundImage:"url('"+_.get(this.props,"objects.images.850")+"')",backgroundRepeat:"no-repeat",paddingBottom:"56.25%",display:"block",backgroundSize:"cover",backgroundPosition:"center center"}}></div>
                            </CardMedia>;
                    }
                    else {
                        videoPattern = <video width="100%" controls preload="none" poster={_.get(this.props,"objects.videoObject.thumb")}>
                                <source src={_.get(this.props,"objects.videoObject.videoSource")} type='video/mp4'/>
                            </video>;
                    }    
                    return <div style={{padding:"8px"}} ><Card>
                            {contentHtml}
                            {videoPattern}
                            {title}
                            {desc}
                        </Card></div>;
                }
            }
        }
        
        return <div style={{padding:"8px"}} ><Card>
            {contentHtml}
            {media}
            {title}
            {desc}
        </Card></div>;

    }
}
//-- custom
export  class ACVideoSocialActivity extends React.Component {
    constructor(props) {
        super(props);
        this.handleClick = this.handleClick.bind(this);
        this.handleClickVideo = this.handleClickVideo.bind(this);
        this.state = {isEmbedIframeVideo:false};
    }

    handleClickVideo() {
    	if (isAndroid())
    	{
    		switch (this.props.objects.videoObject.source){
                        case 'youtube':
                                AndroidAction.openLink('https://www.youtube.com/watch?v='+_.get(this.props,"objects.videoObject.source_id"));
                                return;
                                break;
                        case 'vimeo':
                                AndroidAction.openLink('https://vimeo.com/'+_.get(this.props,"objects.videoObject.source_id"));
                                return;
                                break;
    		}

                if(this.props.objects.videoObject.pcUpload) {
                        Android.openUrl(_.get(this.props, 'objects.videoObject.videoSource'));
//                        if (_.has(this.props, 'objects.url')) {
//                            window.location.href = this.props.objects.url;
//                        }
                }
    	}
        else {
            if(this.props.objects.videoObject.source == 'youtube') {
                var url = mooConfig.url.base + '/activities/view/' + this.props.id + '?access_token='+mooConfig.access_token+'&youtubeId='+this.props.objects.videoObject.source_id;
                window.location.href = url;
            }
            else this.setState({isEmbedIframeVideo:true});
        }
    }
    handleClick() {
        if (_.has(this.props, 'objects.url')) {
            window.location.href = this.props.objects.url;
        }
    }

    render() {

        var media, title,contentHtml;
        contentHtml = media = title = <div></div>;
        if (_.has(this.props, "objects.contentHtml")) {
            contentHtml = <CardText style={{wordBreak:"break-word"}} dangerouslySetInnerHTML={{__html: _.get(this.props, 'objects.contentHtml','')}}></CardText>;
        }
        if (_.has(this.props, "objects.videoObject.title")) {

            title = <CardText onClick={this.handleClick} style={{padding:"10px",color:"#247BBA",fontSize:'16px',fontWeight:"bold",lineHeight:"20px"}}>
                        <NotificationLiveTv viewBox="0 -3 30 30" style={{verticalAlign:"middle", color:"#aa0000"}}></NotificationLiveTv>{_.get(this.props,"objects.videoObject.title")}
            </CardText>;
        }

        if (_.has(this.props, "objects.videoObject.thumb")) {
             media = <CardMedia onClick={this.handleClickVideo}  >
                            <div style={{backgroundImage:"url('"+_.get(this.props,"objects.videoObject.thumb")+"')",backgroundRepeat:"no-repeat",paddingBottom:"56.25%",display:"block",backgroundSize:"cover",backgroundPosition:"center center"}}></div>
                        </CardMedia>;
        }

        return <div style={{padding:"8px"}} ><Card>
            {contentHtml}
            {media}
            {title}
        </Card></div>;

    }
}
//-- end