import React from 'react';
import {Card, CardActions, CardHeader, CardMedia, CardTitle, CardText} from 'material-ui/Card';
import _ from 'lodash';

import Slider from "react-slick";

import FloatingActionButton from 'material-ui/FloatingActionButton';
import ContentAdd from 'material-ui/svg-icons/content/add';
import RaisedButton from 'material-ui/RaisedButton';
import {pharse} from '../../../utility/mooApp';
export class SpotLight extends React.Component {
    constructor(props) {
        super(props);
        this.handleClick = this.handleClick.bind(this);
    }
    handleClick(url) {
        
        if (url) {
            window.location.href = url;
        }
    }
    render() {
        var spotlightUser = window.spotlight_user;
        var arrayUser = [];
        var spotlight_btn = '';
        
        
        if(_.has(window,"show_spotlight_profile_btn")) {
                spotlight_btn = <div style={{width:"100px",height:"100px",textAlign:"center", float: "left"}}>
                    <div onClick={() => this.handleClick(mooConfig.url.base + '/spotlights/register_form')} style={{height:"100px", lineHeight:"100px", float:"left",display:"flex",alignItems:"center"}}>
                        <span style={{fontSize:"50px", border:"1px solid #888", color:"#888", borderRadius:"50%", height:"80px", width:"80px", textAlign:"center", lineHeight:"80px"}} className="material-icons spotlight-icon-add">add</span>
                    </div>
                    <style>{"\
                        .spotlight_user_list .slick-slide{\
                            height: 100px;\
                        }\
                        .spotlight_user_list .slick-slider{\
                            margin-left: 100px;\
                        }\
                        .spotlight_user_list .slick-track {\
                            position: relative;\
                            left: 0;\
                            top: 0;\
                            display: block;\
                            margin-left: auto;\
                            margin-right: auto;\
                            min-width: 100%;\
                        }\
                    "}</style>
                </div> ;
        }
        var settings = {
            infinite: false,
            dots: false,
            arrows: false,
            variableWidth: true,
            slidesToShow: 6,
            slidesToScroll: 1,
            slidesPerRow: 1,
            rows: 1,
            autoplaySpeed: 3500,
            swipeToSlide: true,
            adaptiveHeight : true,
            responsive: [
                {
                    breakpoint: 575,
                    settings: {
                    slidesToShow: 3                        
                    }
                }
            ]
        };
        
        Object.keys(spotlightUser).forEach(function(key) {
            arrayUser.push(<div key={spotlightUser[key].id} style={{width:"100px"}}>
                     <CardMedia style={{padding:"2px"}}>
                        <img style={{width:"100%", borderRadius:"50%", maxWidth:"unset", height:"96px"}} onClick={() => this.handleClick(spotlightUser[key].url)} src={spotlightUser[key].avatar}/>
                    </CardMedia>
                    </div>);
        },this);

        return (
           <Card containerStyle={{padding:"0",boxShadow:"none",margin:"15px", padding:"10px 0"}} className="spotlight_user_list" >
            <CardText style={{fontWeight:"700",fontSize:"14px"}} >{pharse('topSpotlight')}</CardText>
                {spotlight_btn}
                <Slider {...settings}>
                    {arrayUser}
                </Slider>
                <div style={{clear:"both"}}></div>
          </Card>
        );

    }
}
